package p7;

import java.io.*;
import java.net.*;
import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import java.awt.*;
import java.awt.image.BufferedImage;
import javax.imageio.ImageIO;

public class Client4 {

    public static void main(String[] args) throws Exception {
        HttpURLConnection cn = (HttpURLConnection) new URL(
                "https://ussouthcentral.services.azureml.net/workspaces/fec88de75c68472e98d39b36ebbc7ab1/services/d760be2e56e44390ba2d2a2e3fd5db83/execute?api-version=2.0&format=swagger").
                openConnection();
        cn.setDoOutput(true);
        cn.setRequestMethod("POST");
        cn.setRequestProperty("Content-Type", "application/json");
        cn.setRequestProperty("Authorization", "Bearer "
                + "qUMFhcZyTGH0ok4pZcUe6DIF/oZzHFk1fA0m6/ksgPPIxt3hWVxqDu9NQT19WFdBus8SPOB4aCK9EdZCLo2DNA==");
        String str1 = "{\n"
                + "        \"Inputs\": {\n"
                + "                \"input1\":\n"
                + "                [\n"
                + "                ],\n"
                + "        },\n"
                + "    \"GlobalParameters\":  {\n"
                + "    }\n"
                + "}";
        JSONObject objinput = (JSONObject) new JSONParser().parse(str1.replace("'", "\""));
        JSONArray arrayinput = (JSONArray) ((JSONObject) objinput.get("Inputs")).get("input1");
        BufferedReader bconsole = new BufferedReader(new InputStreamReader(System.in));
        String sort = "";
        String diamaug = "";
        do {
            System.out.println("Sort: ");
            sort = bconsole.readLine();
            System.out.println("august: ");
            diamaug = bconsole.readLine();
            if (sort.length() > 0 && diamaug.length() > 0) {
                JSONObject newObj = new JSONObject();
                newObj.put("ounasort", sort);
                newObj.put("august", diamaug);
                arrayinput.add(newObj);
            }
        } while (diamaug.length() > 0);
        String query = objinput.toJSONString();
        System.out.println(query);
        cn.setRequestProperty("Content-Length", "" + query.length());
        OutputStream os = cn.getOutputStream();
        os.write(query.getBytes());
        os.flush();
        os.close();
        try {
            BufferedReader br = new BufferedReader(new InputStreamReader(cn.getInputStream()));
            String line = br.readLine();
            System.out.println(line);
            BufferedImage bi=new BufferedImage(300, 300, BufferedImage.TYPE_INT_RGB);
            Graphics g=bi.createGraphics();
            JSONObject jobj = (JSONObject) new JSONParser().parse(line);
            JSONArray jobj2 = (JSONArray) ((JSONObject) jobj.get("Results")).get("output1");
            for (int i = 0; i < jobj2.size(); i++) {
                int x=(int)(20*Double.parseDouble(((JSONObject) jobj2.get(i)).get("septprognoos").toString()));
                int y=(int)(20*Double.parseDouble(((JSONObject) arrayinput.get(i)).get("august").toString()));
                String osort=((JSONObject) arrayinput.get(i)).get("ounasort").toString();
                System.out.println(x+" "+y+" "+osort);
                g.setColor(Color.red);
                if(osort.equals("Antoonovka")){g.setColor(Color.green);}
                g.fillOval(x, y, 10, 10);
            }
            ImageIO.write(bi, "png", new File("image1.png"));
        } catch (Exception ex) {
            System.out.println("Exception: " + ex.getMessage());
        }
    }
}
